﻿using System.Web.Mvc;
using DotNetOpenAuth.Messaging;

namespace WebSite.Authentication
{
    public class OutgoingRequestActionResult : ActionResult
    {
        private readonly OutgoingWebResponse _response;

        public OutgoingRequestActionResult(OutgoingWebResponse response)
        {
            this._response = response;
        }

        public override void ExecuteResult(ControllerContext context)
        {
            this._response.Send();
        }
    }
}