﻿
namespace MyEntLibCMS.IDAL
{
   public interface IUnitOfWork
    {
       /// <summary>
       /// 事务提交
       /// </summary>
       void Commit();

       /// <summary>
       /// 事务开启
       /// </summary>
       void BeginTransaction();

       /// <summary>
       /// 事务回滚
       /// </summary>
       void Rollback();

    }
}
