﻿// =================================================================== 
// Project Description：MicrosoftEnterprise Library 5.0 ASP.NET MVC3 
//====================================================================
// File： Login.cs
// ProjectName：MyNetCMS System
// CreateDate：2011/8/29
// CreatePerson：于奎伟
// ===================================================================
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyEntLibCMS.Model
{
    /// <summary>
    ///实体类
    /// </summary>
    public class Login
    {
        #region 公共属性

        ///<summary>
        ///主键ID
        ///</summary>
        public int LoginID
        {
            get;
            set;
        }

        ///<summary>
        ///用户ID
        ///</summary>
        public int UserID
        {
            get;
            set;
        }

        ///<summary>
        ///登陆账号
        ///</summary>
        public string LoginAccount
        {
            get;
            set;
        }

        ///<summary>
        ///密码
        ///</summary>
        public string Password
        {
            get;
            set;
        }

        ///<summary>
        ///有效状态：1表示有效；0表示无效
        ///</summary>
        public bool Status
        {
            get;
            set;
        }

        ///<summary>
        ///登陆日期
        ///</summary>
        public DateTime? LoginTime
        {
            get;
            set;
        }

        ///<summary>
        ///登陆IP
        ///</summary>
        public string LoginIP
        {
            get;
            set;
        }

        #endregion

    }
}
