﻿// =================================================================== 
// Project Description：MicrosoftEnterprise Library 5.0 ASP.NET MVC3 
//====================================================================
// File： News.cs
// ProjectName：MyNetCMS System
// CreateDate：2011/8/29
// CreatePerson：于奎伟
// ===================================================================
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyEntLibCMS.Model
{
    /// <summary>
    ///新闻内容表实体类
    /// </summary>
    public class News
    {
        #region 公共属性

        ///<summary>
        ///主键ID
        ///</summary>
        public Guid NewsID
        {
            get;
            set;
        }

        ///<summary>
        ///频道ID
        ///</summary>
        public int ChannelsID
        {
            get;
            set;
        }

        ///<summary>
        ///栏目ID
        ///</summary>
        public Guid SectionsID
        {
            get;
            set;
        }

        ///<summary>
        ///标题
        ///</summary>
        public string Title
        {
            get;
            set;
        }

        ///<summary>
        ///副标题
        ///</summary>
        public string Subtitle
        {
            get;
            set;
        }

        ///<summary>
        ///内容
        ///</summary>
        public string Content
        {
            get;
            set;
        }

        ///<summary>
        ///新闻类型
        ///</summary>
        public byte NewsType
        {
            get;
            set;
        }

        ///<summary>
        ///新闻属性
        ///</summary>
        public string NewsProperty
        {
            get;
            set;
        }

        ///<summary>
        ///图片路径
        ///</summary>
        public string PicUrl
        {
            get;
            set;
        }

        ///<summary>
        ///模板
        ///</summary>
        public string Templates
        {
            get;
            set;
        }

        ///<summary>
        ///模板路径
        ///</summary>
        public string TemplatesUrl
        {
            get;
            set;
        }

        ///<summary>
        ///编辑者
        ///</summary>
        public string Editor
        {
            get;
            set;
        }

        ///<summary>
        ///创建时间
        ///</summary>
        public DateTime? CreateTime
        {
            get;
            set;
        }

        ///<summary>
        ///编辑时间
        ///</summary>
        public DateTime? EditTime
        {
            get;
            set;
        }

        ///<summary>
        ///作者
        ///</summary>
        public string Author
        {
            get;
            set;
        }

        ///<summary>
        ///来源
        ///</summary>
        public string Source
        {
            get;
            set;
        }

        ///<summary>
        ///Meta
        ///</summary>
        public string Meta0
        {
            get;
            set;
        }

        ///<summary>
        ///Meta
        ///</summary>
        public string Meta1
        {
            get;
            set;
        }

        ///<summary>
        ///保存路径
        ///</summary>
        public string SavePath
        {
            get;
            set;
        }

        ///<summary>
        ///文件名称
        ///</summary>
        public string FileName
        {
            get;
            set;
        }

        ///<summary>
        ///扩展名
        ///</summary>
        public string FileEXName
        {
            get;
            set;
        }

        ///<summary>
        ///权重值
        ///</summary>
        public byte OrderBy
        {
            get;
            set;
        }

        ///<summary>
        ///是否发布
        ///</summary>
        public bool IsPublished
        {
            get;
            set;
        }

        ///<summary>
        ///是否生成HTML页
        ///</summary>
        public bool IsHtml
        {
            get;
            set;
        }

        #endregion

    }
}
