﻿// =================================================================== 
// Project Description：MicrosoftEnterprise Library 5.0 ASP.NET MVC3 
//====================================================================
// File： SiteSections.cs
// ProjectName：MyNetCMS System
// CreateDate：2011/8/29
// CreatePerson：于奎伟
// ===================================================================
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyEntLibCMS.Model
{
    /// <summary>
    ///网站栏目实体类
    /// </summary>
    public class SiteSections
    {
        #region 公共属性

        ///<summary>
        ///主键ID
        ///</summary>
        public Guid SectionsID
        {
            get;
            set;
        }

        ///<summary>
        ///栏目名称
        ///</summary>
        public string Name
        {
            get;
            set;
        }

        ///<summary>
        ///文件路径
        ///</summary>
        public string FilePath
        {
            get;
            set;
        }

        ///<summary>
        ///排序值
        ///</summary>
        public int OrderBy
        {
            get;
            set;
        }

        ///<summary>
        ///Meta
        ///</summary>
        public string Meta0
        {
            get;
            set;
        }

        ///<summary>
        ///Meta
        ///</summary>
        public string Meta1
        {
            get;
            set;
        }

        ///<summary>
        ///Meta
        ///</summary>
        public string Meta2
        {
            get;
            set;
        }

        ///<summary>
        ///创建时间
        ///</summary>
        public DateTime? CreateDate
        {
            get;
            set;
        }

        ///<summary>
        ///模板
        ///</summary>
        public string Templates
        {
            get;
            set;
        }

        #endregion

    }
}
