﻿// =================================================================== 
// Project Description：MicrosoftEnterprise Library 5.0 ASP.NET MVC3 
//====================================================================
// File： Users.cs
// ProjectName：MyNetCMS System
// CreateDate：2011/8/29
// CreatePerson：于奎伟
// ===================================================================
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyEntLibCMS.Model
{
    /// <summary>
    ///实体类
    /// </summary>
    [Serializable]
    public class User
    {
        #region 公共属性

        ///<summary>
        ///主键ID
        ///</summary>
        public int UserID
        {
            get;
            set;
        }

        ///<summary>
        ///姓名
        ///</summary>
        public string UserName
        {
            get;
            set;
        }

        ///<summary>
        ///性别：1表示男；0表示女
        ///</summary>
        public bool Sex
        {
            get;
            set;
        }

        ///<summary>
        ///职务
        ///</summary>
        public string Office
        {
            get;
            set;
        }

        ///<summary>
        ///出生日期
        ///</summary>
        public DateTime? BirthDate
        {
            get;
            set;
        }

        ///<summary>
        ///照片路径
        ///</summary>
        public string PhotosUrl
        {
            get;
            set;
        }

        ///<summary>
        ///用户状态：1表示有效；0表示无效
        ///</summary>
        public bool Status
        {
            get;
            set;
        }

        ///<summary>
        ///备注
        ///</summary>
        public string Remarks
        {
            get;
            set;
        }

        #endregion

    }
}
