﻿using System.Web.Mvc;

using DotNetOpenAuth.OpenId.Extensions.AttributeExchange;
using DotNetOpenAuth.OpenId.RelyingParty;

namespace WebSite.Authentication
{
    public interface IOpenIdRelyingParty
    {
        ActionResult RedirectToProvider(string providerUrl, string returnUrl, FetchRequest fetch);

        IAuthenticationResponse GetResponse();
    }
}