﻿using System;
using System.Web;

namespace WebSite.UnityExtensions
{
    public class HttpContextPerRequestStore : IPerRequestStore
    {
        public HttpContextPerRequestStore()
        {
            if (HttpContext.Current.ApplicationInstance != null)
            {

            }
        }

        public object GetValue(object key)
        {
            return HttpContext.Current.Items[key];
        }

        public void SetValue(object key, object value)
        {
            HttpContext.Current.Items[key] = value;
        }

        public void RemoveValue(object key)
        {
            HttpContext.Current.Items.Remove(key);
        }
    }
}